local ADDON_NAME, dssk = ...

DidSomebodySayKeys_CharDetailFrameMixin = {}
local char_frame = DidSomebodySayKeys_CharDetailFrameMixin

local label_text = { "1", "4", "10" }

function char_frame:show_char(char_data)
  if not char_data.dungeon_reward then
    -- only open for characters with vault data
    self:Hide()
  else
    for i, frame in pairs(self.level) do
      frame.label:SetText(label_text[i] or "--")
      local level = char_data.dungeon_reward[i] or 0
      if level == 0 then level = "--" end
      frame.level:SetText(level)
    end
    self.name:SetText(char_data.name)
    self.realm:SetText(char_data.realm)
    self:Show()
  end
end
